SYSPATCH(8)

NAME
syspatch - manage base system binary patches

SYNOPSIS
syspatch [-c | -l | -R | -r]

DESCRIPTION
syspatch is a utility to fetch, verify, install and revert OpenBSD binary patches.

When run without any options, syspatch will apply all missing patches, creating a rollback tarball containing the files it is about to replace, then extracting and installing all files contained in the syspatch tarball. If any sets are missing, patches are skipped accordingly. Patches are cumulative and as such it is not possible to install only a subset of them.

The options are as follows:

-c  List available patches; suitable for cron(8).

-l  List installed patches.

-R  Revert all patches.

-r  Revert the most recently installed patch.

FILES
/etc/installurl
    OpenBSD mirror top-level URL for fetching patches.
/var/syspatch/*
    Directories containing the rollback tarball and original signed diff(1) of installed patches.

EXIT STATUS

SEE ALSO
signify(1), installurl(5), release(8)

HISTORY
syspatch first appeared in OpenBSD 6.1.

AUTHORS
syspatch was written by Antoine Jacoutot <ajacoutot@openbsd.org>.

CAVEATS
syspatch is designed to work solely on official OpenBSD releases.